Create Invoice

POSThttps://bank.dattaremit.com/api/invoices

Requires a bank-scoped key.

Creates a invoice.

## State

StateDescription
storingThe Platform is storing the invoice details in our private store
unpaidThe invoice is unpaid. Payment instructions can be generated for an invoice in this state
cancellingThe invocie is in the process of being cancelled
cancelledThe invoice has been cancelled
settlingThe invoice has been paid and the funds associated with this invoice are in the process of being settled
paidThe invoice has been paid and the funds associated with this invoice have been settled

Required scope: invoices:execute

Body Params

required
assetstringrequired

The asset code the customer will receive the funds in.

customer_guidstring

The unique identifier for the customer.

receive_amountinteger

The amount to be received in base units of the asset, i.e., the amount the customer will receive after fees. ONLY one of receive_amount or deliver_amount is required.

deliver_amountinteger

The amount to be delivered in base units of the asset, i.e., the amount the customer will receive before fees. ONLY one of receive_amount or deliver_amount is required.

account_guidstring

The identifier for the account to use for the transfer. Required if the customer has multiple fiat accounts. Currently only valid for invoices paid to a fiat account.

labelsstring[]

The labels associated with the invoice.

Responses

201

Invoice created

401

Unauthorized - Authentication failed

403

Invalid scope

422

Unprocessable Content

Request

curl https://api.dattaremit.com/api/invoices \
  -X POST \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "asset": "string",
  "customer_guid": "string",
  "receive_amount": 1,
  "deliver_amount": 1,
  "account_guid": "string",
  "labels": [
    "string"
  ]
}'

Response

Invoice created

{
  "guid": "string",
  "customer_guid": "string",
  "account_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "type": "string",
  "asset": "string",
  "receive_amount": 1,
  "deliver_amount": 1,
  "fee": 1,
  "state": "string",
  "labels": [
    "string"
  ]
}